// homepage "lantern is here to help" animation
document.addEventListener('scroll', function () {
	const elements = document.querySelectorAll('.animate-on-scroll');
	elements.forEach(element => {
		const rect = element.getBoundingClientRect();
		if (rect.top < window.innerHeight && rect.bottom > 0) {
			element.classList.add('visible');
		} else {
			element.classList.remove('visible');
		}
	});
});

// homepage gallery exhibition
const thumbnails = document.querySelectorAll('.homepage-thumbnail');
const modal = document.getElementById('homepage-banner');
const modalImg = document.getElementById('homepage-banner-img');

thumbnails.forEach(thumbnail => {
	thumbnail.addEventListener('mouseover', () => {
		const fullImage = thumbnail.getAttribute('data-full');
		modalImg.src = fullImage;
	});

	// thumbnail.addEventListener('mouseout', () => {
	// 	modal.style.display = 'none';
	// });
});
function home_animation(){
	let button = document.getElementsByClassName("pages-homepage-clickbox")[0];
	let homepage = document.getElementsByClassName("pages-homepage")[0];
	// var lantern = document.getElementById("homepage-lantern");
	// var light_back = document.getElementById("homepage-background");
	button.addEventListener('click', () => {
		homepage.classList.add('pages-homepage-clicked');
		setTimeout(() => {homepage.classList.add('gif3')}, 5000);//第三个动画
		console.log("add gif3");
		setTimeout(() => {homepage.classList.add('gif4')}, 9000);//settimeout几乎同时执行，set的事件不是两个时间的间隔，而是从click开始的综合
		console.log("add gif4");
	});
	

}
const imgs_display = document.getElementsByClassName("img_display");//因为后面要用到img列表，所以放在外面
function changeImg(){
	for (let i = 0; i < imgs_display.length; i++) {
		imgs_display[i].addEventListener('mouseover', () => {
			const gallery = document.getElementById('gallery');//因为gallery的class不断变化，所以放在循环里多次执行
			switch(i){
				case 0://wetlab
					gallery.classList.remove('img_drylab');
					gallery.classList.remove('img_hp');
					gallery.classList.add('img_wetlab');
					break;
				case 1://drylab
					gallery.classList.remove('img_wetlab');
					gallery.classList.remove('img_hp');
					gallery.classList.add('img_drylab');
					break;
				case 2://hp
					gallery.classList.remove('img_wetlab');
					gallery.classList.remove('img_drylab');
					gallery.classList.add('img_hp');
					break;
			}
		});//鼠标移到某个图片上，移除另外两个类，增加自己的类，通过类的变化来实现gallery的背景变化
	}
}